Description

Supportanfrage

ich möchte im Fehlerfall eine Logausgabe für einen tResult und dann aus der Methode springen.

Im konkreten Fall muss die Beschreibung vom tResult nicht um eine eigenen String erweitert werden. Also eigentlich will ich ein

RETURN_IF_FAILED_AND_LOG_ERROR.

Dabei scheint mir das Macro RETURN_IF_FAILED_AND_LOG_ERROR_STR nicht zu funktionieren. Nebenbei: Der zweite

Parameter wird im Macro nicht verwendet.

Der Code ...

if (IS_FAILED(nResult))

{

    LOG_RESULT(nResult);

    RETURN_IF_FAILED_AND_LOG_ERROR_STR(nResult);

    return nResult;

}

 ... liefert für ein ERR_NOT_CONNECTED von einem cSampleReader::GetNextSample

2018-04-27 15:11:06 [ERROR]: Result code '-35 '(ERR_NOT_CONNECTED) -  [File: ] [Line: -1] [Func: ]

[Displaysystemcheck_filter.cpp(806)]

2018-04-27 15:11:06 [INFO]: Result code '0 '(ERR_NOERROR) - No error occurred [File: ] [Line: -1] [Func: ]

[Displaysystemcheck_filter.cpp(807)]

 Lösung

ACORE-9489 angelegt

History

#1 - 2018-04-30 08:35 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to AUDI

- Department set to EX

- Affected Products ADTF 3.3.0 added

- Platform Windows 7 64bit added

#4 - 2018-04-30 09:15 - hidden

- Description updated
#5 - 2018-04-30 09:15 - hidden

- Description updated

#6 - 2018-04-30 10:32 - hidden

- Support Level changed from 2nd Level to 3rd Level

@Jens: Also Fehlermeldung bekommst du keine weile keine generiert wird, es wird nur der Errorcode weitergereicht, keine Error Description (da

haben wir ja noch massiv Bedarf...)

@Markus: Kannst du mal bitte prüfen, warum der Error als Info erkannt wird und was es mit dem zweiten Parameter auf sich (siehe Aussage Jens)

#7 - 2018-04-30 15:29 - hidden

Hallo Jens, Florian,

in der Definition des macros 'RETURN_IF_FAILED_AND_LOG_ERROR_STR' wird der zweite Parameter nicht berücksichtigt. Dafür werde ich auf

jeden Fall ein Bug Ticket erstellen.

Warum der Fehler als Info gelockt wird, konnte ich auf die Schnelle nicht genau sehen. Da aber im macro

'RETURN_IF_FAILED_AND_LOG_ERROR_STR' der Fehlercode nochmals mit 'IS_FAILED' geprüft wird, könnte ich mir vorstellen, dass er

zwischendurch mit -1 multupliziert wurde und daher der Vergleich ein nicht gewünschtes Ergebnis liefert. Dieser Sache werde ich noch nachgehen.

@Jens: Da du in deinem Code schon herausgefunden hast, dass ein Fehler passiert ist, könntest du statt

'RETURN_IF_FAILED_AND_LOG_ERROR_STR' das Macro 'RETURN_AND_LOG_ERROR_STR' verwenden. Dieses berücksichtigt den zweiten

Parameter und loggt den ResultCode auf jeden Fall als Fehler.

Ich hoffe das hilft dir, um weiterarbeiten zu können, bis der Fehler mit 'RETURN_IF_FAILED_AND_LOG_ERROR_STR' behoben ist.

#8 - 2018-05-03 15:18 - hidden

- Status changed from In Progress to Customer Feedback Required

#9 - 2018-05-07 13:29 - hidden

- Subject changed from ADTF 3.3.0: RETURN_IF_FAILED_AND_LOG_ERROR_STR to RETURN_IF_FAILED_AND_LOG_ERROR_STR does not

work

- Project changed from 11 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9489

#10 - 2018-05-23 13:45 - hidden

- Status changed from To Be Closed to Closed
